WP6GraphicsBoxStylePacket Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP6GraphicsBoxStylePacket Class Reference

`#include <WP6GraphicsBoxStylePacket.h>`

Inheritance diagram for WP6GraphicsBoxStylePacket:

## Public Member Functions
| WP6GraphicsBoxStylePacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6GraphicsBoxStylePacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *) const
unsigned char | getGeneralPositioningFlags () const
unsigned char | getHorizontalPositioningFlags () const
signed short | getHorizontalOffset () const
unsigned char | getLeftColumn () const
unsigned char | getRightColumn () const
unsigned char | getVerticalPositioningFlags () const
signed short | getVerticalOffset () const
unsigned char | getWidthFlags () const
unsigned short | getWidth () const
unsigned char | getHeightFlags () const
unsigned short | getHeight () const
unsigned char | getContentType () const
unsigned short | getNativeWidth () const
unsigned short | getNativeHeight () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions
| WP6GraphicsBoxStylePacket (const WP6GraphicsBoxStylePacket &)
WP6GraphicsBoxStylePacket & | operator= (const WP6GraphicsBoxStylePacket &)

## Private Attributes
bool | m_isLibraryStyle
librevenge::RVNGString | m_boxStyleName
unsigned char | m_generalPositioningFlags
unsigned char | m_horizontalPositioningFlags
signed short | m_horizontalOffset
unsigned char | m_leftColumn
unsigned char | m_rightColumn
unsigned char | m_verticalPositioningFlags
signed short | m_verticalOffset
unsigned char | m_widthFlags
unsigned short | m_width
unsigned char | m_heightFlags
unsigned short | m_height
unsigned char | m_contentType
unsigned char | m_contentHAlign
unsigned char | m_contentVAlign
bool | m_contentPreserveAspectRatio
unsigned short | m_nativeWidth
unsigned short | m_nativeHeight

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP6GraphicsBoxStylePacket::WP6GraphicsBoxStylePacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

Referenced by getNativeHeight().

WP6GraphicsBoxStylePacket::~WP6GraphicsBoxStylePacket | ( |  | ) |

WP6GraphicsBoxStylePacket::WP6GraphicsBoxStylePacket | ( | const WP6GraphicsBoxStylePacket & |  | ) |
| private

## Member Function Documentation

void WP6GraphicsBoxStylePacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP6PrefixDataPacket.

unsigned char WP6GraphicsBoxStylePacket::getContentType | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned char WP6GraphicsBoxStylePacket::getGeneralPositioningFlags | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned short WP6GraphicsBoxStylePacket::getHeight | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned char WP6GraphicsBoxStylePacket::getHeightFlags | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

signed short WP6GraphicsBoxStylePacket::getHorizontalOffset | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned char WP6GraphicsBoxStylePacket::getHorizontalPositioningFlags | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned char WP6GraphicsBoxStylePacket::getLeftColumn | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned short WP6GraphicsBoxStylePacket::getNativeHeight | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned short WP6GraphicsBoxStylePacket::getNativeWidth | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned char WP6GraphicsBoxStylePacket::getRightColumn | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

signed short WP6GraphicsBoxStylePacket::getVerticalOffset | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned char WP6GraphicsBoxStylePacket::getVerticalPositioningFlags | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned short WP6GraphicsBoxStylePacket::getWidth | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

unsigned char WP6GraphicsBoxStylePacket::getWidthFlags | ( |  | ) | const
| inline

Referenced by WP6BoxGroup::parse().

WP6GraphicsBoxStylePacket& WP6GraphicsBoxStylePacket::operator= | ( | const WP6GraphicsBoxStylePacket & |  | ) |
| private

Referenced by getNativeHeight().

void WP6GraphicsBoxStylePacket::parse | ( | WP6Listener * |  | ) | const
| inlinevirtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

librevenge::RVNGString WP6GraphicsBoxStylePacket::m_boxStyleName
| private

Referenced by _readContents().

unsigned char WP6GraphicsBoxStylePacket::m_contentHAlign
| private

Referenced by _readContents().

bool WP6GraphicsBoxStylePacket::m_contentPreserveAspectRatio
| private

Referenced by _readContents().

unsigned char WP6GraphicsBoxStylePacket::m_contentType
| private

Referenced by _readContents(), and getContentType().

unsigned char WP6GraphicsBoxStylePacket::m_contentVAlign
| private

Referenced by _readContents().

unsigned char WP6GraphicsBoxStylePacket::m_generalPositioningFlags
| private

Referenced by _readContents(), and getGeneralPositioningFlags().

unsigned short WP6GraphicsBoxStylePacket::m_height
| private

Referenced by _readContents(), and getHeight().

unsigned char WP6GraphicsBoxStylePacket::m_heightFlags
| private

Referenced by _readContents(), and getHeightFlags().

signed short WP6GraphicsBoxStylePacket::m_horizontalOffset
| private

Referenced by _readContents(), and getHorizontalOffset().

unsigned char WP6GraphicsBoxStylePacket::m_horizontalPositioningFlags
| private

Referenced by _readContents(), and getHorizontalPositioningFlags().

bool WP6GraphicsBoxStylePacket::m_isLibraryStyle
| private

Referenced by _readContents().

unsigned char WP6GraphicsBoxStylePacket::m_leftColumn
| private

Referenced by _readContents(), and getLeftColumn().

unsigned short WP6GraphicsBoxStylePacket::m_nativeHeight
| private

Referenced by _readContents(), and getNativeHeight().

unsigned short WP6GraphicsBoxStylePacket::m_nativeWidth
| private

Referenced by _readContents(), and getNativeWidth().

unsigned char WP6GraphicsBoxStylePacket::m_rightColumn
| private

Referenced by _readContents(), and getRightColumn().

signed short WP6GraphicsBoxStylePacket::m_verticalOffset
| private

Referenced by _readContents(), and getVerticalOffset().

unsigned char WP6GraphicsBoxStylePacket::m_verticalPositioningFlags
| private

Referenced by _readContents(), and getVerticalPositioningFlags().

unsigned short WP6GraphicsBoxStylePacket::m_width
| private

Referenced by _readContents(), and getWidth().

unsigned char WP6GraphicsBoxStylePacket::m_widthFlags
| private

Referenced by _readContents(), and getWidthFlags().

The documentation for this class was generated from the following files:

- WP6GraphicsBoxStylePacket.h
- WP6GraphicsBoxStylePacket.cpp